net.sf.jasperreports.charts.base

## Class JRBaseTimeSeriesDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.base.JRBaseChartDataset
    - - net.sf.jasperreports.charts.base.JRBaseTimeSeriesDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRTimeSeriesDataset, JRChangeEventsSupport, JRChartDataset, JRCloneable, JRElementDataset

      public class JRBaseTimeSeriesDataset
      extends JRBaseChartDataset
      implements JRTimeSeriesDataset, JRChangeEventsSupport

  Version:
    $Id: JRBaseTimeSeriesDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_TIME_PERIOD`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseTimeSeriesDataset(JRTimeSeriesDataset dataset)`
    `` | `JRBaseTimeSeriesDataset(JRTimeSeriesDataset dataset, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `byte` | `getDatasetType()` Gets the dataset type.
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `JRTimeSeries[]` | `getSeries()`
    `java.lang.Class<?>` | `getTimePeriod()`
    `void` | `setTimePeriod(java.lang.Class<?> timePeriod)`
    `void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

- - ### Field Detail

    - #### PROPERTY_TIME_PERIOD

          public static final java.lang.String PROPERTY_TIME_PERIOD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRBaseTimeSeriesDataset

          protected JRBaseTimeSeriesDataset(JRTimeSeriesDataset dataset)

    - #### JRBaseTimeSeriesDataset

          public JRBaseTimeSeriesDataset(JRTimeSeriesDataset dataset,
                                 JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getSeries

          public JRTimeSeries[] getSeries()

      Specified by:
        `getSeries` in interface `JRTimeSeriesDataset`
      Returns:
        an array of `JRTimeSeries` objects representing the series for the Time Series chart
      See Also:
        `JRTimeSeries`

    - #### getTimePeriod

          public java.lang.Class<?> getTimePeriod()

      Specified by:
        `getTimePeriod` in interface `JRTimeSeriesDataset`
      Returns:
        the time period. Specifies the type of the data series inside the dataset. Time series can contain numeric values associated with days, months, years, or other predefined time periods.
      See Also:
        `TimePeriodEnum`

    - #### setTimePeriod

          public void setTimePeriod(java.lang.Class<?> timePeriod)

      Specified by:
        `setTimePeriod` in interface `JRTimeSeriesDataset`
      Parameters:
        `timePeriod` - the time period associated with days, months, years, or other predefined time periods.
      See Also:
        `TimePeriodEnum`

    - #### getDatasetType

          public byte getDatasetType()

      Description copied from interface: `JRChartDataset`
      Gets the dataset type. Must be one of the dataset type constants defined in this class.
      Specified by:
        `getDatasetType` in interface `JRChartDataset`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`
      Overrides:
        `collectExpressions` in class `JRBaseElementDataset`

    - #### validate

          public void validate(JRVerifier verifier)

      Description copied from interface: `JRChartDataset`
      Validates the dataset using a verifier.

      Broken rules are collected by the verifier.

      Specified by:
        `validate` in interface `JRChartDataset`
      Parameters:
        `verifier` - the verifier to use for validation

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseElementDataset`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com